
REM The TMP_JAVAC is a directory, which contains only this compiling results. It will be clean in the batch processing.
set TMP_JAVAC=..\..\..\tmp_javac

REM Output jar-file with path and filename relative from current dir:
set OUTPUTFILE_JAVAC=TestByteDataFromHeader.jar

REM Manifest-file for jar building relativ path from current dir:
set MANIFEST_JAVAC=TestByteDataFromHeader.manifest

REM Input for javac, only choice of primary sources, relativ path from current (make)-directory:
set INPUT_JAVAC=srcJava/org/vishia/byteData/test/TestByteDataFromHeader.java

REM Sets the CLASSPATH variable for compilation (used jar-libraries). do not leaf empty also it aren't needed:
set CLASSPATH_JAVAC=nothing

REM Sets the src-path for further necessary sources:
REM NOTE: Header2Reflection also uses ByteDataAccess, the sources are there.
set SRCPATH_JAVAC=srcJava_gen;../../srcJava_Header2Reflection;../../srcJava_Zbnf

REM Call java-compilation and jar within zbnfjax with given input environment:
call zbnfjax javacjar
pause